#ifndef GETFREEACCOUNTBUTTON_H
#define GETFREEACCOUNTBUTTON_H
#include "uosai_global.h"
#include <DCommandLinkButton>

namespace uos_ai {

class GetFreeAccountButton : public DTK_WIDGET_NAMESPACE::DCommandLinkButton
{
    Q_OBJECT
public:
    explicit GetFreeAccountButton(const QString &text, QWidget *parent = nullptr);

protected:
    QSize sizeHint() const override;
    void paintEvent(QPaintEvent *e) override;
#ifdef COMPILE_ON_QT6
    void enterEvent(QEnterEvent *event) override;
#else
    void enterEvent(QEvent *event) override;
#endif
    void leaveEvent(QEvent *event) override;

private:
    bool m_isHover = false;

};
}

#endif // GETFREEACCOUNTBUTTON_H
